## e-error

e-error

## Functions

#define | e_return_error_if_fail()
#define | e_return_async_error_if_fail()
#define | e_return_async_error_val_if_fail()
#define | e_return_ex_async_error_if_fail()
#define | e_return_ex_async_error_val_if_fail()

## Description

## Functions

### e_return_error_if_fail()

    #define             e_return_error_if_fail(expr,error_code)

FIXME Document me!

#### Parameters

expr | the expression to check |
error_code | the error code to set if `expr` fails |

Since: 2.30

### e_return_async_error_if_fail()

    #define             e_return_async_error_if_fail(expr, error)

#### Parameters

expr | the expression to check |
error | a GError |

Since: 2.32

### e_return_async_error_val_if_fail()

    #define             e_return_async_error_val_if_fail(expr, error)

### e_return_ex_async_error_if_fail()

    #define             e_return_ex_async_error_if_fail(expr, error)

### e_return_ex_async_error_val_if_fail()

    #define             e_return_ex_async_error_val_if_fail(expr, error)

#### Parameters

expr | the expression to check |
error | a GError |

Since: 2.32